%define url_ver %(echo %{version}|cut -d. -f1,2)

%define api 1.0
%define major 0
%define libname	%mklibname %{name} %{api} %{major}
%define girname	%mklibname %{name}-gir %{api}
%define devname	%mklibname -d %{name}

Summary:	Tool and library mainly made to create Cabinet files
Name:		gcab
Version:	0.4
Release:	%mkrel 2
Group:		Development/Databases
License:	GPLv2+
Url:		http://www.gnome.org/
Source0:	https://download.gnome.org/sources/gcab/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	vala-tools
BuildRequires:	vala-devel
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gtk-doc

%description
Tool and library mainly made to create Cabinet files.
 - creation supports plain and basic MSZIP compression
 - can open and list files from cabinet, no extraction

%package -n	%{libname}
Summary:	A support library for %{name}
Group:		System/Libraries

%description -n	%{libname}
A support library for %{name}.

%package -n	%{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}

%description -n	%{devname}
Development files for %{name}.

%prep
%setup -q

%build
%configure2_5x \
    --disable-static

%make

%install
%makeinstall_std

# fixed in upstream master
mkdir -p %{buildroot}%{_mandir}/man1/
cp gcab.1 %{buildroot}%{_mandir}/man1/

rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/gcab
%{_mandir}/man1/gcab.1*

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/GCab-%{api}.typelib

%files -n %{devname}
%{_datadir}/gtk-doc/html/gcab
%{_includedir}/lib%{name}-%{api}/*
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/GCab-%{api}.gir
%{_datadir}/vala/vapi/libgcab-%{api}.vapi



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.4-2.mga4
+ Revision: 523825
- Mageia 4 Mass Rebuild

* Fri Feb 08 2013 ovitters <ovitters> 0.4-1.mga4
+ Revision: 395697
- new version 0.4

* Sat Jan 26 2013 oden <oden> 0.3-1.mga3
+ Revision: 392364
- imported package gcab


* Sat Jan 26 2013 Oden Eriksson <oeriksson@mandriva.com> 0.3-1.mga2
- fedora/openmandriva import
